# source https://github.com/wojtekka/libgadu/archive/1.12.2.tar.gz

%define major 3
%define libname   %mklibname gadu %{major}
%define develname %mklibname gadu -d

Name:		libgadu
Version:	1.12.2
Release:	%mkrel 4
Summary:        A Gadu-gadu protocol compatibile library
Summary(de):    Eine Gadu-gadu Protokoll kompatible Bibliothek
Summary(pl):    Biblioteka do obsługi protokołu komunikatora Gadu-Gadu

License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://libgadu.net
Source0:	%{name}-%{version}.tar.xz
Patch0:		libgadu-1.12.2-mga-multiple-defs.patch
BuildRequires:	doxygen
BuildRequires:	%{_lib}gnutls-devel
BuildRequires:	%{_lib}protobuf-c-devel >= 1.0.0

%description
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l de
Die libgadu vereinfacht, die Gadu-Gadu Kommunikation Unterstützung in Ihrer Software.

%description -l pl
Libgadu jest biblioteką przeznaczoną do obsługi protokołu komunikatora Gadu-Gadu.

%package -n %{libname}
Summary:	A Gadu-gadu protocol compatibile library
Summary(de):	Eine Gadu-gadu Protokoll kompatible Bibliothek
Group:		Networking/Instant messaging
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -n %{libname} -l de
Die libgadu vereinfacht, die Gadu-Gadu Kommunikation Unterstützung in Ihrer Software.

%description -n %{libname} -l pl
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package -n %{develname}
Summary:	Development files for libgadu library
Summary(de):	Entwickler Dateien - libgadu Bibliothek
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files for libgadu library.

%description -n %{develname} -l de
Entwickler Dateien für die libgadu Bibliothek.

%description -n %{develname} -l pl
Pakiet libgadu-devel zawiera pliki nagłówkowe i dokumentację,
potrzebne do kompilowania aplikacji korzystających z libgadu.

%prep
%setup -q
%apply_patches
touch packets.proto

%build
%configure2_5x \
  --disable-tests \
  --disable-static \
  --with-pthread \
  --without-bind \
  --without-openssl \
  --with-c99-vsnprintf
%make_build

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Sep 29 2021 tex - 1.12.2-4pclos2021
- rebuild against updates

* Wed Sep 09 2020 tex - 1.12.2-3pclos2020
- rebuild against updates

* Fri Mar 17 2017 bb2 <bb2> - 1.12.2-2pclos2017
- rebuild new gnutls

* Sat Jan 28 2017 marcin82 <marcin82 at vp.pl> 1.12.2-1pclos2017
- update
- added BR: %{_lib}protobuf-c-devel

* Thu Dec 03 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Oct 31 2014 bb <bb> 1.12.0-1pclos2014
- update

* Tue Jul 17 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.11.2-2pclos2012
- commented %{_libdir}/%{name}.so in normal lib package to prevent instaling of devel packages
  for the non devel lib
